# Type alias GuardianSetUpgradeStruct

GuardianSetUpgradeStruct: {
action: BigNumberish;
chain: BigNumberish;
module: BytesLike;
newGuardianSet: GuardianSetStruct;
newGuardianSetIndex: BigNumberish;
}

#### Type declaration

- ##### action: BigNumberish

- ##### chain: BigNumberish

- ##### module: BytesLike

- ##### newGuardianSet: GuardianSetStruct

- ##### newGuardianSetIndex: BigNumberish

- Defined in ethers-contracts/Implementation.ts:107

Generated using TypeDoc